Package com.logicaldoc.core.document.thumbnail

# Interface ThumbnailBuilder

All Known Implementing Classes:
  `AbstractThumbnailBuilder`, `EpubThumbnailBuilder`, `ImageThumbnailBuilder`, `Mp3ThumbnailBuilder`, `PdfThumbnailBuilder`, `VideoThumbnailBuilder`

public interface ThumbnailBuilder
Implementations of this interface are specialized classes that produce thumbnails for a specific type of document.

Since:
  4.5
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`void`
`buildThumbnail(String sid, Document document, String fileVersion, File src, File dest, int size, int quality)`
Produce the thumbnail

## Method Details

### buildThumbnail

void buildThumbnail(String sid, Document document, String fileVersion, File src, File dest, int size, int quality) throws IOException
Produce the thumbnail

Parameters:
  `sid` - The session identifier (optional)
  `document` - The document
  `fileVersion` - Optional file version spec
  `src` - The source file
  `dest` - The destination thumbnail file
  `size` - The thumbnail size
  `quality` - Compression quality(0..100, 100 is maximum quality)
Throws:
  `IOException` - raised when the image cannot be written